/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumLogictype;
import de.ship.db.tables.VCoreLogicchain;

import java.time.LocalDateTime;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreLogicchainRecord extends TableRecordImpl<VCoreLogicchainRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_logicchain.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logicchain.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_logicchain.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logicchain.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_logicchain.logictype</code>.
     */
    public void setLogictype(EnumLogictype value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logicchain.logictype</code>.
     */
    public EnumLogictype getLogictype() {
        return (EnumLogictype) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_logicchain.fk_orgrp</code>.
     */
    public void setFkOrgrp(Integer value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logicchain.fk_orgrp</code>.
     */
    public Integer getFkOrgrp() {
        return (Integer) get(3);
    }

    /**
     * Setter for <code>common_dd.v_core_logicchain.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.v_core_logicchain.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(4);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreLogicchainRecord
     */
    public VCoreLogicchainRecord() {
        super(VCoreLogicchain.V_CORE_LOGICCHAIN);
    }

    /**
     * Create a detached, initialised VCoreLogicchainRecord
     */
    public VCoreLogicchainRecord(LocalDateTime lastchange, Integer pk, EnumLogictype logictype, Integer fkOrgrp, Integer fkElement) {
        super(VCoreLogicchain.V_CORE_LOGICCHAIN);

        setLastchange(lastchange);
        setPk(pk);
        setLogictype(logictype);
        setFkOrgrp(fkOrgrp);
        setFkElement(fkElement);
        resetChangedOnNotNull();
    }
}
